KABC::VCard21Parser Class Reference

`#include <vcard21parser.h>`

## Public Member Functions

| VCard21Parser ()
virtual | ~VCard21Parser ()
void | readFromString (KABC::AddressBook *ab, const QString &str)
KABC::Addressee | readFromString (const QString &data)

## Static Public Member Functions

static KABC::Address | readAddressFromQStringList (const QStringList &data, const int type)

## Detailed Description

Deprecated:
  use VCardConverter instead.

Definition at line 142 of file vcard21parser.h.

## Constructor & Destructor Documentation

VCard21Parser::VCard21Parser | ( |  | ) |

Constructor.

Definition at line 194 of file vcard21parser.cpp.

VCard21Parser::~VCard21Parser | ( |  | ) |

virtual

Destructor.

Definition at line 198 of file vcard21parser.cpp.

## Member Function Documentation

KABC::Address VCard21Parser::readAddressFromQStringList | ( | const QStringList & | data,
|  | const int | type
| ) |  |

static

Helper method to store a address.

Parameters

  data | A string list, that is filled with 'street', 'house number' ...
  type | The type of the returned address.

Definition at line 372 of file vcard21parser.cpp.

void VCard21Parser::readFromString | ( | KABC::AddressBook * | ab,
|  | const QString & | str
| ) |  |

Parses a string in vcard2.1 format and saves the single addressees to the address book.

Parameters

  ab | The address book.
  str | The vcard string.

Definition at line 202 of file vcard21parser.cpp.

KABC::Addressee VCard21Parser::readFromString | ( | const QString & | data | ) |

FIXME: we need a writeToString method QString writeToString (KABC::AddressBook *);.

Parses a string in vcard2.1 format and returns the inherent addressee.

Definition at line 208 of file vcard21parser.cpp.

The documentation for this class was generated from the following files:

- vcard21parser.h
- vcard21parser.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys